Get Asset
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}assets
Get Asset
Get a single asset by idOrSlug. Use expand to include related fields such as addresses, chains, price, market_cap, and supply.
GET
/
v1
/
assets
/
{idOrSlug}
Get Asset
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}Authorizations
Path Parameters
Query Parameters
Available options:
addresses, chains, addresses.chain, markets, market_cap, ohlcv_last_24_h, price, reference, sector, supply Response
Required range:
0 <= x <= 4294967295Maximum string length:
20Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
65535Maximum string length:
255Maximum string length:
50Maximum string length:
25Unix timestamp
Available options:
Infrastructure, Application Expandable relationship
Show child attributes
Show child attributes
Expandable relationship
Show child attributes
Show child attributes